Subject: Re: RFC: Removing old tags, reducing the git size of -next.

From: Michal Marek <[email-masked]>
Date: Wed, 09 Mar 2011 10:41:32 +0100

On 8.3.2011 17:23, Stephen Rothwell wrote:
> Hi Michal,
> 
> On Tue, 08 Mar 2011 16:29:29 +0100 Michal Marek <[email-masked]> wrote:
>>
>> FWIW, I use the following setup for linux-next:
>>
>> [remote "linux-next"]
>>         url =
>> git://git.kernel.org/pub/scm/linux/kernel/git/sfr/linux-next.git
> 
> This should now be
> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> (its the same repository, just a more generic name).
> 
>>         fetch = +refs/heads/master:refs/heads/linux-next
>>         fetch = +refs/heads/stable:refs/remotes/linux-next/stable
>>         tagopt = --no-tags
>>
>> and fetch the next-* tags manually only when I need them.
> 
> That should all continue to work.

I probably quoted the wrong part of your email. I wanted to show that
the full history of linux-next is not forced on anyone; git can be
configured to only fetch the latest state and leave the previously
fetched states to the garbage collector.

Michal